#
# spec file for package kio_mtp
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define rname kio-mtp
Name:           kio_mtp
Summary:        Access MTP devices in KDE
License:        GPL-2.0+
Group:          System/GUI/KDE
Version:        0.75
Release:        lp150.1.6
Url:            https://projects.kde.org/projects/playground/base/kio-mtp
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{rname}-%version.tar.xz
BuildRequires:  libkde4-devel
BuildRequires:  libmtp-devel
Obsoletes:      kio-mtp <= %{version}
%kde4_runtime_requires

%description
Provides access to media players and phones (including many Android devices) using the MTP protocol.


%prep
%setup -q -n %{rname}-%{version}

%build  
  %cmake_kde4 -d build
  %make_jobs  

%install
  cd build  
  %makeinstall  

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_kde4_modulesdir}/kio_mtp.so
%dir %{_kde4_appsdir}/konqueror/
%dir %{_kde4_appsdir}/konqueror/dirtree/
%dir %{_kde4_appsdir}/konqueror/dirtree/remote/
%{_kde4_appsdir}/konqueror/dirtree/remote/mtp-network.desktop
%dir %{_kde4_appsdir}/remoteview/
%{_kde4_appsdir}/remoteview/mtp-network.desktop
%dir %{_kde4_appsdir}/solid/
%dir %{_kde4_appsdir}/solid/actions/
%{_kde4_appsdir}/solid/actions/solid_mtp.desktop
%{_kde4_servicesdir}/mtp.protocol

%changelog
* Mon Oct 26 2015 dmitry_r@opensuse.org
- Delete android-tools from requirements list, libmtp contains udev
  rules.
* Wed Mar 13 2013 dmitry_r@opensuse.org
- Add android-tools package as recommended for access to android
  devices.
* Tue Mar 12 2013 hrvoje.senjan@gmail.com
- Use upstream versioning
- Update to Alpha2 (v0.75)
  * Complete rewrite of device access
* Sun Mar 10 2013 rabauke@opensuse.org
- add Obsoletes: kio-mtp
* Mon Feb 11 2013 wstephenson@suse.com
- Rename kio-mtp to kio_mtp
* Mon Dec 10 2012 cfarrell@suse.com
- license update: GPL-2.0+
  SPDX format (http://www.spdx.org/licenses)
* Sun Dec  9 2012 tittiatcoke@gmail.com
- Initial package for kio-mtp. Version 0.0.1 (git snapshot)
